Skip to main content
PATCH
/
profiles
/
{userId}
Update a user profile
curl --request PATCH \
  --url {schemes}://api.upsun.com/profiles/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "username": "<string>",
  "current_password": "<string>",
  "password": "<string>",
  "company_type": "<string>",
  "company_name": "<string>",
  "vat_number": "<string>",
  "company_role": "<string>",
  "marketing": true,
  "ui_colorscheme": "<string>",
  "default_catalog": "<string>",
  "project_options_url": "<string>",
  "picture": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_name": "<string>",
  "email": "jsmith@example.com",
  "username": "<string>",
  "type": "user",
  "picture": "<string>",
  "company_type": "<string>",
  "company_name": "<string>",
  "currency": "<string>",
  "vat_number": "<string>",
  "company_role": "<string>",
  "website_url": "<string>",
  "new_ui": true,
  "ui_colorscheme": "<string>",
  "default_catalog": "<string>",
  "project_options_url": "<string>",
  "marketing": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "billing_contact": "jsmith@example.com",
  "invoiced": true,
  "customer_type": "individual",
  "legal_entity_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

The UUID of the user

Body

application/json
display_name
string

The user's display name.

username
string

The user's username.

current_password
string

The user's current password.

password
string

The user's new password.

company_type
string

The company type.

company_name
string

The name of the company.

vat_number
string

The vat number of the user.

company_role
string

The role of the user in the company.

marketing
boolean

Flag if the user agreed to receive marketing communication.

ui_colorscheme
string

The user's chosen color scheme for user interfaces. Available values are 'light' and 'dark'.

default_catalog
string

The URL of a catalog file which overrides the default.

project_options_url
string

The URL of an account-wide project options file.

picture
string

Url of the user's picture.

Response

200 - application/json

A User profile object

The user profile.

id
string<uuid>

The user's unique ID.

display_name
string

The user's display name.

email
string<email>

The user's email address.

username
string

The user's username.

type
enum<string>

The user's type (user/organization).

Available options:
user,
organization
picture
string<url>

The URL of the user's picture.

company_type
string

The company type.

company_name
string

The name of the company.

currency
string

A 3-letter ISO 4217 currency code (assigned according to the billing address).

vat_number
string

The vat number of the user.

company_role
string

The role of the user in the company.

website_url
string

The user or company website.

new_ui
boolean

Whether the new UI features are enabled for this user.

ui_colorscheme
string

The user's chosen color scheme for user interfaces.

default_catalog
string

The URL of a catalog file which overrides the default.

project_options_url
string

The URL of an account-wide project options file.

marketing
boolean

Flag if the user agreed to receive marketing communication.

created_at
string<date-time>

The timestamp representing when the user account was created.

updated_at
string<date-time>

The timestamp representing when the user account was last modified.

billing_contact
string<email>

The e-mail address of a contact to whom billing notices will be sent.

invoiced
boolean

The customer is invoiced.

customer_type
enum<string>

The customer type.

Available options:
individual,
corporation,
government

The legal entity name of the customer.

Last modified on March 25, 2026